using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace PDFReader_Demo_CSharp.UI
{
    public partial class DocumentPropertyDlg : Form
    {
        private MainForm main_form_ = null;
        private TabPage creation_info_tabpage_ = null;
        private TabPage security_tabpage_ = null;
        private TabPage initialview_tabpage_ = null;

        public DocumentPropertyDlg(MainForm main_form)
        {
            InitializeComponent();

            main_form_ = main_form;

            creation_info_tabpage_ = new TabPage();
            creation_info_tabpage_.Text = "Creation";
            creation_info_tabpage_.Padding = new System.Windows.Forms.Padding(0, 0, 0, 0);
            CreationInfoTabPage creationinfo_tabpage = new CreationInfoTabPage();
            creationinfo_tabpage.SetHostedPage(main_form);
            creation_info_tabpage_.Controls.Add(creationinfo_tabpage);

            security_tabpage_ = new TabPage();
            security_tabpage_.Text = "Security";
            SecurityTabPage security_tabpage = new SecurityTabPage();
            security_tabpage.SetHostedPage(main_form);
            security_tabpage_.Controls.Add(security_tabpage);

            initialview_tabpage_ = new TabPage();
            initialview_tabpage_.Text = "View preference";
            InitialViewTabPage initialview_tabpage = new InitialViewTabPage();
            initialview_tabpage.SetHostedPage(main_form);
            initialview_tabpage_.Controls.Add(initialview_tabpage);

            documentTabControl.TabPages.Add(creation_info_tabpage_);
            documentTabControl.TabPages.Add(security_tabpage_);
            documentTabControl.TabPages.Add(initialview_tabpage_);
        }

        private void DocumentPropertyDlg_Load(object sender, EventArgs e)
        {
            documentTabControl.Size = new Size(this.ClientSize.Width, this.ClientSize.Height - 65);
        }

        private void okButton_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void cancelButton_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}
